Description

when provisioning host using a vsphere image to clone, its not parsing custom specifications. all it does is cloning the image and not

passing hostname or ip details. hence the provisioning fails since hostname did not updated.

Related issues:

Is duplicate of Foreman - Feature #6157: Deploy Windows Os from image without... New 06/11/2014

History

#1 - 08/06/2014 03:45 AM - Dominic Cleal

- Subject changed from vmware clone image custom specific funciton is not working to vmware clone image custom specific function doesn't update

hostname/IP

- Category set to Compute resources - VMware

It should work if instead, your image uses DHCP to set its hostname, or you update it using the finish script.

#2 - 10/13/2014 09:40 AM - Andrey Aleksandrov

Dominic Cleal wrote:

It should work if instead, your image uses DHCP to set its hostname, or you update it using the finish script.

 Actually it would be better to modify 

https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/vmware.rb#L354-L366 to pass

customization_spec

Something like this

opts = {

        "datacenter" => datacenter,

        "template_path" => args[:image_id],

        "dest_folder" => args[:path].gsub(path_replace, ''),

        "power_on" => false,

        "start" => args[:start],

        "name" => args[:name],

        "numCPUs" => args[:cpus],

        "memoryMB" => args[:memory_mb],

        "datastore" => args[:volumes].first[:datastore],

        "network_label" => args[:interfaces].first[:network],

        "network_adapter_device_key" => network_adapter_device_key,

        'customization_spec' => {

            'domain'     => args[:domain],

            'ipsettings' => {

                'ip'      => args[:ip],

                'gateway' => args[:gateway],

                'subnetMask' => args[subnet],

            },

         },

      }
https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/vmware.rb#L354-L366


 This code with static data works fine. I think it can be creatad like a checkbox "Apply customization specifications"

#3 - 10/13/2014 09:45 AM - Andrey Aleksandrov

And this request duplicates #6157

#4 - 05/19/2017 09:04 AM - Anonymous

- Status changed from New to Duplicate

#5 - 05/19/2017 09:04 AM - Anonymous

- Is duplicate of Feature #6157: Deploy Windows Os from image without SSH provisioning method added
